---
current_realm_name: "{{ harbor_oidc_realm }}"

current_realm_clients:
  - name: "{{ harbor_oidc_client_id }}"
    clientId: "{{ harbor_oidc_client_id }}"
    admin_url: "{{ http_s }}://{{ shared_service_hostname_harbor }}"
    root_url: "{{ http_s }}://{{ shared_service_hostname_harbor }}"
    redirect_uris:
      - "{{ http_s }}://{{ shared_service_hostname_harbor }}/*"
    secret: "{{ harbor_oidc_client_secret }}"
    web_origins:
      - "{{ http_s }}://{{ shared_service_hostname_harbor }}"

current_realm_users:
  - username: "{{ harbor_oidc_admin_username }}"
    password: "{{ harbor_oidc_admin_password }}"
    email: "{{ harbor_oidc_admin_email }}"
    firstName: "Netgo"
    lastName: "Administrator"
    requiredActions: []

current_realm_admin_users:
  - username: "harbor-realm-admin"
    password: "{{ infrastructure_realm_admin_password_vault }}"
    email: "{{ harbor_oidc_admin_email }}"
    firstName: "Netgo"
    lastName: "Administrator"
    requiredActions: []

current_realm_groups:
  - name: "awx"
  - name: "admin"
  - name: "smardigo"

current_user_groupmembership:
  - username: "{{ harbor_oidc_admin_username }}"
    destination_group: "awx"
  - username: "{{ harbor_oidc_admin_username }}"
    destination_group: "admin"
  - username: "{{ harbor_oidc_admin_username }}"
    destination_group: "smardigo"

keycloak_force_prune: true
